#ifndef _REGISTRY_H_
#define _REGISTRY_H_
#include <windows.h>

BOOL registry_openkey(HKEY key, const char *name, PHKEY keyout);
BOOL registry_storeblock(char *name, char *data, int size);
BOOL registry_fetchblock(char *name, char *data, int size);
BOOL registry_getstring(HKEY key, char *name, char **string);
BOOL registry_setstring(HKEY key, const char *name, const char *string);
BOOL registry_deleteitem(HKEY key, const char *name);
BOOL registry_createkey(HKEY key, const char *name, PHKEY keyout);
BOOL registry_deletekey(HKEY key, const char *name);
BOOL registry_closekey(HKEY key);
BOOL registry_keyExists(HKEY key, const char *name);
BOOL registry_ensureKeyExists(HKEY key, const char *name);
#endif


