######################################################################
# Global (base) package
package Global
######################################################################

#------------------------------------------------------------
# text macros
#------------------------------------------------------------

# this is a hack for the chinese collection and should be removed once 
# the collection metadata is fixed up 
_documents_ [c=chinese] {document sections}
_documents_ [c=chinese,l=zh] {文本}
_titles_ [c=chinese] {titles}
_titles_ [c=chinese,l=zh] {题名}
_chinese_ {Chinese demonstration collection}

_textimageabout_[l=zh] {主页}
_textimagehelp_[l=zh]{帮助页}
_textimagepref_[l=zh]{选项页}
_textimagegreenstone_[l=zh] {绿石数字化图书馆软件}

_textimagesearch_[l=zh]{特定范围检索}
_textimagebrowsetitles_[l=zh] {按题名的阿拉伯字母顺序浏览}
_textimagebrowseauthors_[l=zh]{按作者名字的阿拉伯字母顺序浏览 }

_textgotext_[l=zh] {按文本方式浏览此页}
_textgographics_[l=zh]{按图形方式浏览此页}

_texticontabsearchgreen_[l=zh]{查询}
_texticontabauthorgreen_[l=zh]{作者 A-Z}
_texticontabtitlegreen_[l=zh]{题名 A-Z}
_texticontext_[l=zh] {浏览文章内容}

_texticondetach_[l=zh] {打开一个新的窗口浏览此页}

_texticonclosedbook_ [l=zh] {打开记录}
_texticonwarning_[l=zh] {<b>警告: </b>}
_texticoncont_[l=zh] {继续?}


#------------------------------------------------------------
# icons
#------------------------------------------------------------

_httpiconchomeof_[l=zh] {_httpimg_/zh/chomeof.gif}
_httpiconchomeon_[l=zh] {_httpimg_/zh/chomeon.gif}

_httpiconchelpof_[l=zh] {_httpimg_/zh/chelpof.gif}
_httpiconchelpon_[l=zh] {_httpimg_/zh/chelpon.gif}

_httpiconcprefof_[l=zh] {_httpimg_/zh/cprefof.gif}
_httpiconcprefon_[l=zh] {_httpimg_/zh/cprefon.gif}

_httpiconhhelp_[l=zh] {_httpimg_/zh/h\_help.gif}

_httpicontauthgr_[l=zh] {_httpimg_/zh/tauthgr.gif}
_httpicontauthof_[l=zh] {_httpimg_/zh/tauthof.gif}
_httpicontauthon_[l=zh] {_httpimg_/zh/tauthon.gif}

_httpicontsrchgr_[l=zh] {_httpimg_/zh/tsrchgr.gif}
_httpicontsrchof_[l=zh] {_httpimg_/zh/tsrchof.gif}
_httpicontsrchon_[l=zh] {_httpimg_/zh/tsrchon.gif}

_httpiconttitlgr_[l=zh] {_httpimg_/zh/ttitlgr.gif}
_httpiconttitlof_[l=zh] {_httpimg_/zh/ttitlof.gif}
_httpiconttitlon_[l=zh] {_httpimg_/zh/ttitlon.gif}


######################################################################
# document package
package document
######################################################################

#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_texticonsmalltext_ [l=zh] {　浏览该部份文本}
_texticonclosedfolder_ [l=zh] {　打开此文件夹以浏览目录}
_texticondetach_ [l=zh] {　打开一个新的窗口显示本页}
_texticonexpandtoc_ [l=zh] {　扩展书录表}
_texticonexpandtext_ [l=zh] {　显示所有文本}
_texticonhighlight_ [l=zh] {　查询项以粗体显示}


#------------------------------------------------------------
# icons
#------------------------------------------------------------

_httpiconhtitle_[l=zh] {_httpimg_/zh/h\_title.gif}

_httpiconhauth_[l=zh] {_httpimg_/zh/h\_auth.gif}

_httpiconcontoff_[l=zh] {_httpimg_/zh/contof.gif}
_httpiconconton_[l=zh] {_httpimg_/zh/conton.gif}


######################################################################
# 'home' page
package home
######################################################################

#------------------------------------------------------------
# text macros
#------------------------------------------------------------


#------------------------------------------------------------
# icons
#------------------------------------------------------------


######################################################################
# 'help' page
package help
######################################################################

#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_simplehelp_[l=zh]{
<p>有三种方法查找有关_collectionname_的信息:
<ul>
  <li>按特定的词查询
  <li>按题名的拼音顺序浏览
  <li>按作者名的拼音顺序浏览
</ul>

<p>你可以通过查询页<b>按特定的词查询</b>包含该词的记录。查询页是进入系统时的首页，你也可以通过按其他页面上方的<b>查询</b>按钮进入这一页。

<p>你可以通过按页面上方的<b>题名 a-z </b>按钮<b>按题名的拼音顺序浏览</b>全部记录。<br>  

<p>你可以通过按页面上方的<b>作者 a-z </b>按钮<b>按作者名的拼音顺序浏览</b>全部记录。<br>
}


_texthelptopics_ [l=zh] {
<h2 align=left>目录</h2>
<ul>
  <li><a href="\#finding-information">_textsimplehelpheading_</a>
  <li><a href="\#reading-books"> 如何阅读书目</a>
  <li><a href="\#searching"> 如何按特定字查询</a>
<ul>
  <li><a href="\#query-terms">    检索项</a>
  <li><a href="\#query-type">      查询类型</a>
  <li><a href="\#scope-of-queries">      查询范围</a>
</ul>
</ul>
}

_textsimplehelpheading_ [l=zh] {如何查找信息}


_texthelpreadingdocs_ [l=zh] {
<h2>如何阅读书目</h2>

<p>   当进入某一书目时，通过封面，你可得知屏幕正在显示哪一个书目，封面旁边是目录表，箭头指明此时所处位置。该目录表是可扩展的，单击此目录表，可实现打开或关闭，单击顶部打开的书目以关闭它。

<p>目录表下面是当前部份的文本，在此之后有两个箭头分别指向下一部份或前一部份文本。

<p>在封面下方有三个按键，单击“分离”，则打开另一浏览窗显示该屏幕（这个功能在想要比较不同的书或同时阅读两本书时是有帮助的）；单击“扩展内容”以得到整个书目表，从而看到所有章节的目录；单击“扩展文本”可获得当前章节或书目的全部文本，如果是一本很长的书，可能会需要较长的时间以及大量的内存。
}

_textnextbutton_ [l=zh] {　单击箭头，进入下一部份}
_textprevbutton_ [l=zh] {　或者返回前页}

_texthelpsearching_ [l=zh] {
<h2>如何按特定字查询</h2>
<p>
从查询页，按以下简单的步骤输入查询项：<p>
  
  <ol><li>指明想要查询的文件
      <li>选择是查询所有字还是部份字
      <li>输入要查询的字
      <li>单击“开始查询”
  </ol>

<p>进行查询后，第一组２０个匹配上的记录的题名会显示出来，在此２０个题名之后有一按键可以指向下一组２０个记录的题名，从该屏幕你可看到两个按键，一个按键进一步指向第三组２０个记录的题名，另外一个按键用来返回上一组题名。单击任一书目的题名或其旁边的小按键，就可进行阅读这条记录的详细内容。

<p>最多返回１００条记录，如要改变该数目，则单击页面右上方的“选项”

<p>
<a name=query-terms>
_iconblankbar_<br>

<h2>检索项</h2>

<p>输入到查询框中的内容，将被转化成一个叫做查询项的单字集，查询项可以是汉字、阿拉伯字母或数字，查询项之间可以有空格，也可以没有。如果遇到其他的符号，例如标点符号，则会被忽略，并将它们看作空格处理，因此不能查询包含标点符号的词。

<p>例如：查询<p>
    <ul><kbd>    内容包括：软件工程（1999）</kbd></ul>
      <p>与下面的查询项处理是相同的<p>
      <ul><kbd>　　内容包括软件工程1999</kbd></ul><p>

<a name=query-type>
_iconblankbar_<br>

<h2>查询类型</h2>

<p><ul>可以按两种不同的方式查询：<p>

  <li>查询所有的字。在这种情况下系统将查找包括所有在查询项指定的字的记录（或题名）。符合条件的记录将被显示在屏幕上。

  <li>查询部份字。系统仅查找包含查询项中任意一个或几个字的记录，文件按其与查询内容所匹配的程度来显示，在决定匹配程度时：

      <p><ul>
        <li> 　包含越多的查询项的记录，其匹配程度越高；
        <li> 　少见的查询项比常见的查询项更重要；
        <li> 　短记录比长记录的匹配程度高。
      </ul>

      <p>在可能的情况下，使用尽可能多的查询项为好，一个句子，或者一个段落。如果只给一个查询项，查询结果将按照其在记录中出现的频率进行排序。
      
</ul>

<p>
<a name=other-options><a name=scope-of-queries>
_iconblankbar_<br>
_texthelpscope_
}

_texthelpscope_ [l=zh] {
<h2 align=left>查询范围</h2>

<p>
可以选择在什么范围内进行查询，既查询项在什么范围内进行匹配。可以选择题名或章节。

<p>无论在什么范围内进行查询，查询结果都将是整条记录。
}


#------------------------------------------------------------
# icons
#------------------------------------------------------------


######################################################################
# 'search' page
package query
######################################################################

#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textfm1_[l=zh] {词频: }
_textmt2_[l=zh] {超过}
_textdmtq3_[l=zh] {匹配提问的记录}

_textmatches_[l=zh] {匹配 }

_textbeginsearch_[l=zh] {开始查询}
_textsome_[l=zh] {部分}
_textall_[l=zh] {全部}

_textsimplesearch_[l=zh] {按 _If_(_hselection_, _hselection_)_If_(_jselection_,_textjselect_)_If_(_nselection_, in _nselection_ language) 
查询包含 _querytypeselection_ 提问词的记录}

# these can be the same until translation is done
_textadvancedsearch_[l=zh] {_textsimplesearch_}


#------------------------------------------------------------
# icons
#------------------------------------------------------------

_httpiconhsearch_[l=zh] {_httpimg_/zh/h\_search.gif}

_httpiconqryresb_[l=zh] {_httpimg_/zh/qryresb.gif}


######################################################################
# 'prefereces' page
package preferences
######################################################################

#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textintlink_ [l=zh] {}
_textextlink_ [l=zh] {}

_textsetprefs_ [l=zh] {设置选项}
_textsearchprefs_ [l=zh] {查询选项}
_textpresentationprefs_ [l=zh] {显示选项}

_textqueryboxsize_ [l=zh] {查询框}
_textregbox_ [l=zh] { 一般查询框}
_textbigbox_ [l=zh] { 较大查询框}
_textquerymode_ [l=zh] {查询模式}
_textsearchhistory_ [l=zh] {查询历史}
_textnohistorydisplay_ [l=zh] { 不显示查询历史}
_texthistorydisplay_ [l=zh] { 显示过去 _historynumrecords_查询}

_textprefop_ [l=zh] {查询最多返回　
　 _maxdocoption_ 记录，每页返回
_hitsperpageoption_ 记录}
_textlanguage_ [l=zh] {界面语言：}
_textsimplemode_ [l=zh] {简单查询方式}
_textadvancedmode_ [l=zh] {高级查询方式(可以使用 !、&、| 和括号来进行布尔查询)}
_textencoding_ [l=zh] {编码方式：}
_textformat_ [l=zh] {界面格式：}


#------------------------------------------------------------
# icons
#------------------------------------------------------------

_httpiconhpref_[l=zh] {_httpimg_/zh/h\_pref.gif}

######################################################################
# 'technology' page
package technology
######################################################################

#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textpagetitle_ {NZDL: Technology}
